dracut-crypt-ssh: update to 1.0.8
This commit is contained in:
parent
22c710abc7
commit
23f453ccb8
|
@ -1,13 +0,0 @@
|
|||
diff --git modules/60crypt-ssh/module-setup.sh modules/60crypt-ssh/module-setup.sh
|
||||
index c3b6584..80e7dbe 100644
|
||||
--- a/modules/60crypt-ssh/module-setup.sh
|
||||
+++ b/modules/60crypt-ssh/module-setup.sh
|
||||
@@ -40,7 +40,7 @@ install() {
|
||||
|
||||
case ${state} in
|
||||
GENERATE )
|
||||
- ssh-keygen -t $keyType -f $osshKey -q -N "" || {
|
||||
+ ssh-keygen -t $keyType -f $osshKey -q -N "" -m PEM || {
|
||||
derror "SSH ${msgKeyType} key creation failed"
|
||||
rm -rf "$tmpDir"
|
||||
return 1
|
|
@ -1,7 +1,7 @@
|
|||
# Template file for 'dracut-crypt-ssh'
|
||||
pkgname=dracut-crypt-ssh
|
||||
version=1.0.7
|
||||
revision=3
|
||||
version=1.0.8
|
||||
revision=1
|
||||
build_style=gnu-configure
|
||||
hostmakedepends="dracut which"
|
||||
makedepends="libblkid-devel"
|
||||
|
@ -11,17 +11,7 @@ maintainer="tastytea <tastytea@tastytea.de>"
|
|||
license="GPL-2.0-or-later"
|
||||
homepage="https://github.com/dracut-crypt-ssh/dracut-crypt-ssh"
|
||||
distfiles="${homepage}/archive/v${version}.tar.gz"
|
||||
checksum=c50b57b16d4aea3707e1f3e86777fafdb1b3551f2f4b6c4de5576eeb3b2f6bbc
|
||||
|
||||
pre_configure() {
|
||||
sed -i '111s/^/#/' configure
|
||||
sed -i 's/gcc -lblkid/gcc -lblkid $(CFLAGS)/' modules/60crypt-ssh/helper/Makefile
|
||||
sed -i 's/gcc/$(CC)/' modules/60crypt-ssh/helper/Makefile
|
||||
sed -i "s|CFLAGS=|CFLAGS=${CFLAGS} ${LDFLAGS} |" modules/60crypt-ssh/helper/Makefile
|
||||
sed -i 's|/lib64/libnss_files.so.2||' modules/60crypt-ssh/module-setup.sh
|
||||
sed -i '107s|$|\n [ -f /lib/libnss_files.so.2 ] \&\& dracut_install /lib/libnss_files.so.2|' \
|
||||
modules/60crypt-ssh/module-setup.sh
|
||||
}
|
||||
checksum=98423671efc20ba04c0b3c39968e3970a451acba84e7cc0b29c8699f8eb5585e
|
||||
|
||||
post_install() {
|
||||
vmkdir usr/lib/dracut/dracut.conf.d
|
||||
|
|
Loading…
Reference in New Issue